import test from 'ava';
import * as fs from 'fs';
import * as path from 'path';
import findAssetButton from './findAssetButton';
import { getScopeNames } from './getScopeNames';
var cases = [{
  name: '赤色のスライム',
  expected: ['ゲームがはじまったとき']
}, {
  name: 'ゲームクリア',
  expected: ['たおされたとき', 'しょうかんされたとき', 'ぶつかったとき', 'こうげきされたとき', 'ふまれたとき', 'メッセージされたとき']
}, {
  name: '存在しないアセット',
  expected: []
}];
test('getScopeNames', function (t) {
  var assetPackage = JSON.parse(fs.readFileSync(path.resolve(__dirname, '../../../beta-2.json'), 'utf8'));

  for (var _i = 0; _i < cases.length; _i++) {
    var _cases$_i = cases[_i],
        name = _cases$_i.name,
        expected = _cases$_i.expected;
    var asset = findAssetButton(assetPackage, name);
    var scopeNames = getScopeNames(assetPackage, asset);
    t.deepEqual(scopeNames, expected);
  }
});